package com.gihon.sso.entity.vo;

import lombok.ToString;

/**
 * 登录接口传输数据
 * @author baihe
 *
 */
@ToString
public class LoginUser {
	/**
	 * 用户名
	 */
	private String userAccount;
	/**
	 * 密码
	 */
	private String passWord;
	/**
	 * 验证码
	 */
	private String validCode;
	
	/**
	 * 验证token的时候
	 */
	private String token;
	/**
	 * 所属系统
	 */
	private String sysCode;
	/**
	 * 系统退出通知地址
	 */
	private String sysNotifyUrl;
	

	public String getPassWord() {
		return passWord;
	}

	public void setPassWord(String passWord) {
		this.passWord = passWord;
	}

	public String getValidCode() {
		return validCode;
	}

	public void setValidCode(String validCode) {
		this.validCode = validCode;
	}

	public String getSysCode() {
		return sysCode;
	}

	public void setSysCode(String sysCode) {
		this.sysCode = sysCode;
	}

	public String getSysNotifyUrl() {
		return sysNotifyUrl;
	}

	public void setSysNotifyUrl(String sysNotifyUrl) {
		this.sysNotifyUrl = sysNotifyUrl;
	}

	public String getUserAccount() {
		return userAccount;
	}

	public void setUserAccount(String userAccount) {
		this.userAccount = userAccount;
	}

	public String getToken() {
		return token;
	}

	public void setToken(String token) {
		this.token = token;
	}
	
	
}
