package com.gihon.common.web.response;

public enum ResponseStatus {
	
	SUCCESS(200,"成功"),
	NO_DATA(202,"没有数据"),
	BUSINESS_ERROR(300,"业务错误"),//业务错误  例 : 参数不匹配或参数验证不正确
	LOGIN_ERROR(301,"账号密码错误"),//
	VALIDCODE_ERROR(302,"验证码错误"),//
	TOKEN_EXPIRED(303,"Token已过期"),//
	REFRESH_TOKEN_EXPIRED(304,"RereshToken已过期"),//
	UNAUTHORIATION(401,"未登录"),
	FORBIDDEN(403,"没有权限"),
	ERROR(500,"服务器错误"),
	;
	
	private String desc;
	private int code;	
	
	ResponseStatus(int code,String desc){
		this.desc = desc;
		this.code = code;
	}

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	
}
